Subject: bug#14970: crash deleting frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jul 2013 18:25:08 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Sun, 28 Jul 2013 02:22:51 +0200
> 
> Package: emacs
> Version: 24.3.50
> 
> Context: I'm trying new desktop code to force frames onscreen. To test
> it, I have a function that creates a fair number of frames (around
> 15/20) either partially or totally offscreen.
> 
> Once the new desktop code moves them onscreen, I usually close them
> all via another interactive test function. But if I try instead to
> close them by clicking on each window's Close button, sooner or later
> (after closing 10/15 frames, usually) Emacs crashes.
> 
> In previous crashes it didn't generate a backtrace, nor did Windows
> offer to attach a debugger to the crashed program. Also, running under
> gdb I couldn't reproduce the bug. This is the first time I've been
> offered to attach gdb.
> 
> Whatever the reason, something fishy is happening with delete-frame,

Does revision 113576 fix this?  If not, please try to provide a
reproducing recipe, even if it is not 100% reliable.

Thanks.